Get workflows list

GEThttps://bank.dattaremit.com/api/workflows

Requires a bank-scoped key.

Retrieves a listing of workflows. Records are sorted by creation date in descending order.

Required scope: workflows:read

Query Params

pageinteger

The page index to retrieve.

per_pageinteger

The number of entities per page to return.

guidstring

Comma separated workflow_guids to list workflows for.

bank_guidstring

Comma separated bank_guids to list workflows for.

customer_guidstring

Comma separated customer_guids to list workflows for.

Responses

200

get list of workflows

400

Invalid requests

401

Unauthorized - Authentication failed

403

Invalid scope

Request

curl https://api.dattaremit.com/api/workflows \
  -H "Authorization: Bearer sk_test_YOUR_KEY"

Response

get list of workflows

{
  "total": 1,
  "page": 1,
  "per_page": 1,
  "objects": [
    {
      "guid": "string",
      "bank_guid": "string",
      "customer_guid": "string",
      "type": "string",
      "state": "string",
      "failure_code": "string",
      "created_at": "2026-07-20T16:27:51.438Z",
      "updated_at": "2026-07-20T16:27:51.438Z"
    }
  ]
}